% PROGRAMME D'INITIALISATION

global  SCxM f Mumars Rmars M Y0 Yprime0 D0 coeff f B Z0 rho Rm etat_init

%  ***************   CARACTERISTIQUES DE LA RENTREE  **************
VR0=3563;  % Vitesse de rentre 
gamma0=2*pi/180; % Angle de rentre en radian
Z0=80000; % Altitude de rentre
D0=0; % Distance horizontale sol parcourue depuis la rentre

% ************* CARACTERISTIQUES DE MARS  *************

Mumars=4.305e13; % Constante de gravitation en m3s-2
Rmars=3380000; % Rayon de mars en m

% Masse volumique rho=0.035*exp(-1.24e-4*Z)=rho*exp(-B*Z)  donc B=1.24e-4;

rho=0.0473; % rho=0.035;
B=1.261e-4; % B=1.24e-4;

%  *************** CARACTERISTIQUES DU CORPS DE RENTREE  ******************

Cx=1.16;
f=0;
Cz=f*Cx;

M=12760; % Masse en kg
S=55;  % Surface frontale en m

SCxM=S*Cx/M;



% Masse volumique rho=0.035*exp(-1.24e-4*Z)=rho*exp(-B*Z)  donc B=1.24e-4;
rho=0.0473;
B=1.261e-4;
ScxM=5e-3;
% ************************************************************

% Autres coefficients 

R0=Rmars+Z0;
coeff=(B*R0)^0.5;



% ************************** Conditions initiales ************************

Rm=Rmars+Z0/2;
Vc0=(Mumars/(Rmars+Z0))^0.5; % Vitesse d'orbitation circulaire au niveau de l rentre
X0=VR0*cos(gamma0)/Vc0;

Y0=0.5*rho*exp(-B*Z0)*(Rm/B)^0.5*SCxM*X0;
Yprime0=Y0/X0-sin(gamma0)*coeff;
D0=0;

% *************************   FIN   *******************

etat_init=[Y0 -Yprime0 D0 0];

end