function y=chap_sys(u);

global coeff f Mumars Rmars B Z0


% Cette fonction reprsente l'quation diffrentielle de Chapman
% mise sous forme canonique avec :
%         y(1)=Y
%         y(2)=Y'  ***** ATTENTION LA VARIABLE D'INTEGRATION est t=2-X ********

% La variable d'entre est le vecteur u=[ X Y dY/dt D]  avec dY/dtt=-dY/dx


% ******************** INTERMEDIAIRES  ****************
% Calcul de l'angle courant gamma, pente de la vitese au cours de la rentre

sgam=(u(2)/u(1)+u(3))/coeff;
gam=asin(sgam);
cgam=cos(gam);


% ******************* SYSTEME DIFFERENTIEL  ****************

Gmars=Mumars/Rmars^2;

d1=u(3); % Drive de Y qui vaut Y'

d2=(-u(3)-u(2)/u(1)+(1-u(1)^2)/u(1)/u(2)*cgam^4-cgam^3*coeff*f)/u(1); % Driv Y"

d3=Rmars^2/(B*(Rmars+Z0))^0.5*cgam/u(2)/(Rmars+u(2)); % Drive de la distance horizontale

d4=cgam/u(1)/u(2)/(B*Gmars)^0.5; % Drive du temps

% *********************** SORTIE **************************

y=[d1;d2;d3;d4];

end

% **********************  FIN PROGRAMME  *******************