% PROGRAMME D'INITIALISATION

global  SCxM f Muterre Rterre M Y0 Yprime0 D0 coeff f B Z0 rho Rm etat_init

%  *************** CARACTERISTIQUES DU CORPS DE RENTREE  ******************

Cx=1.16;
f=0.3;
Cz=f*Cx;

M=12760; % Masse en kg
S=55;  % Surface frontale en m

SCxM=S*Cx/M;

% ********************* POUR LA TERRE ******************************
VR0=7600;  % Vitesse de rentre 
gamma0=5*pi/180; % Angle de rentre en radian
Z0=80000; % Altitude de rentre
D0=0; % Distance horizontale sol parcourue depuis la rentre
Muterre=39.86e13; % Constante de gravitation de la terreen m3s-2
Rterre=6378000; % Rayon de la terre en m
% Masse volumique ;
rho=1.735;
B=1/6700;
ScxM=5e-3;
% ************************************************************

% Autres coefficients 

R0=Rterre+Z0;
coeff=(B*R0)^0.5;



% ************************** Conditions initiales ************************

Rm=Rterre+Z0/2;
Vc0=(Muterre/(Rterre+Z0))^0.5; % Vitesse d'orbitation circulaire au niveau de l rentre
X0=VR0*cos(gamma0)/Vc0;

Y0=0.5*rho*exp(-B*Z0)*(Rm/B)^0.5*SCxM*X0;
Yprime0=Y0/X0-sin(gamma0)*coeff;
D0=0;

% *************************   FIN   *******************

etat_init=[Y0 -Yprime0 D0 0];

end